#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	osinfo-db
Version		:	20230719
Release		:	16.2.0.rel%{?dist}
Summary		:	osinfo database files

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-2.0-or-later
URL		:	https://releases.pagure.org/libosinfo/

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	osinfo-db-tools

#-----------------------------------------------------------------------------
%description
The osinfo database provides information about
operating systems and hypervisor platforms to
facilitate the automated configuration and
provisioning of new virtual machines
 

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%{_datadir}/%{sname}/VERSION
%{_datadir}/%{sname}/LICENSE
%{_datadir}/%{sname}/datamap/*/*.xml
%{_datadir}/%{sname}/device/*/*.xml
%{_datadir}/%{sname}/device/*/pci-*.d/*.xml
%{_datadir}/%{sname}/device/usb.org/usb-80ee-0021.d/class.xml
%{_datadir}/%{sname}/os/*/*.xml
%{_datadir}/%{sname}/os/*/win*.d/*.xml
%{_datadir}/%{sname}/platform/*/*.xml
%{_datadir}/%{sname}/install-script/*/*.xml
%{_datadir}/%{sname}/schema/%{sname}.rng

#=============================================================================
%prep
#nothing to do
tar xvf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build
#nothing to do

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

osinfo-db-import					\
	-v						\
	--root %{buildroot}				\
	--dir %{_datadir}/osinfo			\
	%{SOURCE0}

%{__mkdir_p}						\
	%{buildroot}%{_datadir}/osinfo/os/osukiss.org

%{__cp} -a						\
	%{name}-ok_addon/osukiss.org/osukiss-*.xml	\
	%{buildroot}%{_datadir}/osinfo/os/osukiss.org

#-----------------------------------------------------------------------------
%changelog
